/*
 jsModal - A pure JavaScript modal dialog engine v1.0d
 http://jsmodal.com/

 Author: Henry Rune Tang Kai <henry@henrys.se>

 (c) Copyright 2013 Henry Tang Kai.

 License: http://www.opensource.org/licenses/mit-license.php

 Date: 2013-7-11

 Modified by Akeeba Ltd:
 - [Oct 2016] Prefix "akeeba-modal-" instead of generic "modal-" to avoid conflicts with 3PD software e.g. Bootstrap.
 - [Oct 2016] Remove support for AJAX content. We use our own AJAX handlers which work around 3PD plugins corrupting content.
 ? [Oct 2016] Added method show() which just calls open() for backwards compatibility reasons.
 ? [Oct 2016] Added parameter "inherit" where you can give a query selector for an element whose content will be inherited by the modal.
 ? [Oct 2016] open() returns the Modal object so that we can interact with it through external code.
 ? [Nov 2016] Added parameter "iframe" where you can give a URL to load inside an IFRAME.
*/
if("undefined"===typeof akeeba)var akeeba={};
"undefined"===typeof akeeba.Modal&&(akeeba.Modal=function(){var d={},b={},e=document.createElement("div"),a=document.createElement("div"),h=document.createElement("div"),f=document.createElement("div"),l=document.createElement("div"),k=null,m,n;d.show=function(a){try{console.log("Using akeeba.Modal.show() is deprecated. Use .open() instead.")}catch(g){}return d.open(a)};d.open=function(c){b.width=c.width||"auto";b.height=c.height||"auto";b.lock=c.lock||!1;b.hideClose=c.hideClose||!1;b.draggable=c.draggable||
!1;b.closeAfter=c.closeAfter||0;b.closeCallback=c.closeCallback||!1;b.openCallback=c.openCallback||!1;b.hideOverlay=c.hideOverlay||!1;m=function(){d.center({})};f.innerHTML="";var g=null;if(c.content)f.innerHTML=c.content;else if(c.inherit){if(g=c.inherit,"string"==typeof c.inherit&&(g=window.document.querySelector(c.inherit)),null!=g&&g.innerHTML)for(k=g;0<k.childNodes.length;)f.appendChild(k.childNodes[0])}else c.iframe&&(g=window.document.createElement("iframe"),g.setAttribute("src",c.iframe),
g.setAttribute("width",c.width),g.setAttribute("height",c.height),g.setAttribute("frameborder",0),g.setAttribute("marginheight",0),g.setAttribute("marginwidth",0),f.appendChild(g));a.style.display="block";a.style.width=b.width;a.style.height=b.height;d.center({});if(b.lock||b.hideClose)l.style.visibility="hidden";b.hideOverlay||(e.style.visibility="visible");a.style.visibility="visible";document.onkeypress=function(a){27===a.keyCode&&!0!==b.lock&&d.close()};l.onclick=function(){if(b.hideClose)return!1;
d.close()};e.onclick=function(){if(b.lock)return!1;d.close()};window.addEventListener?window.addEventListener("resize",m,!1):window.attachEvent&&window.attachEvent("onresize",m);b.draggable?(h.style.cursor="move",h.onmousedown=function(a){d.drag(a);return!1}):h.onmousedown=function(){return!1};0<b.closeAfter&&(n=window.setTimeout(function(){d.close()},1E3*b.closeAfter));b.openCallback&&b.openCallback();return this};d.drag=function(b){var c=void 0!==window.event?window.event.clientX:b.clientX,d=void 0!==
window.event?window.event.clientY:b.clientY,e=c-a.offsetLeft,f=d-a.offsetTop;document.onmousemove=function(b){c=void 0!==window.event?window.event.clientX:b.clientX;d=void 0!==window.event?window.event.clientY:b.clientY;a.style.left=0<c-e?c-e+"px":0;a.style.top=0<d-f?d-f+"px":0;document.onmouseup=function(){window.document.onmousemove=null}}};d.close=function(){if(!empty(k)){for(;0<f.childNodes.length;)k.appendChild(f.childNodes[0]);k=null}f.innerHTML="";e.setAttribute("style","");e.style.cssText=
"";e.style.visibility="hidden";a.setAttribute("style","");a.style.cssText="";a.style.display="none";a.style.visibility="hidden";h.style.cursor="default";l.setAttribute("style","");l.style.cssText="";n&&window.clearTimeout(n);b.closeCallback&&b.closeCallback();window.removeEventListener?window.removeEventListener("resize",m,!1):window.detachEvent&&window.detachEvent("onresize",m)};d.center=function(b){var c=Math.max(document.body.scrollHeight,document.documentElement.scrollHeight),d=Math.max(a.clientWidth,
a.offsetWidth),f=Math.max(a.clientHeight,a.offsetHeight),h=0,l=0,k=0,m=0;"number"===typeof window.innerWidth?(h=window.innerWidth,l=window.innerHeight):document.documentElement&&document.documentElement.clientWidth&&(h=document.documentElement.clientWidth,l=document.documentElement.clientHeight);"number"===typeof window.pageYOffset?(m=window.pageYOffset,k=window.pageXOffset):document.body&&document.body.scrollLeft?(m=document.body.scrollTop,k=document.body.scrollLeft):document.documentElement&&document.documentElement.scrollLeft&&
(m=document.documentElement.scrollTop,k=document.documentElement.scrollLeft);b.horizontalOnly||(a.style.top=m+l/2-f/2+"px");a.style.left=k+h/2-d/2+"px";e.style.height=c+"px";e.style.width="100%"};e.setAttribute("id","akeeba-modal-overlay");a.setAttribute("id","akeeba-modal-container");h.setAttribute("id","akeeba-modal-header");f.setAttribute("id","akeeba-modal-content");l.setAttribute("id","akeeba-modal-close");h.appendChild(l);a.appendChild(h);a.appendChild(f);var p=document.querySelectorAll(".akeeba-renderer-fef--dark");
a.className="akeeba-renderer-fef akeeba-wp"+(0<p.length?" akeeba-renderer-fef--dark":"");a.style.zIndex="10000";e.style.zIndex="10000";e.style.visibility="hidden";a.style.display="none";a.style.visibility="hidden";window.addEventListener?window.addEventListener("load",function(){document.body.appendChild(e);document.body.appendChild(a)},!1):window.attachEvent&&window.attachEvent("onload",function(){document.body.appendChild(e);document.body.appendChild(a)});return d}()); //# sourceMappingURL=modal.min.map
